org.apache.cassandra.repair

## Class RequestCoordinator<R>

- java.lang.Object
- - org.apache.cassandra.repair.RequestCoordinator<R>

    public abstract class RequestCoordinator<R>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RequestCoordinator(boolean isSequential)`

### Method Summary

Methods
`void` `add(R request)`
`int` `completed(R request)`
`abstract void` `send(R request)`
`void` `start()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestCoordinator

    public RequestCoordinator(boolean isSequential)

### Method Detail

#### send

    public abstract void send(R request)

#### add

    public void add(R request)

#### start

    public void start()

#### completed

    public int completed(R request)